Asset Sync admin API Resource

Abstract class for REST webservices

POST /admin/assetsync/fullsync

Full objects sync

Try it out!

Request Parameters
name type description default constraints
toAsset query   boolean
Response Body
media type data type description
application/json HdcTdxmImportStateTO (JSON) JSON Response with information, whether the export started or not successfully

POST /admin/assetsync/merge

Update merged objects data in Asset & HDC

Try it out!

Request Body
media type data type description
application/json HdcObjectWithMetadataListTO (JSON) - object model with merged properties
Response Body
media type data type description
application/json HdcTdxmImportStateTO (JSON) JSON Response with information, whether the merge started or not successfully

GET /admin/assetsync/objects

Get objects with sync status information

Try it out!

Request Parameters
name type description default constraints
hqlCriteria query    
limit query - limit   long
offset query - offset   long
sortField query - sort field

Example of response:

{"total": 185653, "list": [ { "guid": "5f1649c5-0c3e-44ba-b34b-33ed975c9f2e", "hdcSyncTimestamp": "2023-03-31T15:01:34Z", "status": 7, "errorCode": 0}, { "guid": "cf897417-274c-4190-aff7-f0cb718eacc0", "hdcSyncTimestamp": "2023-03-31T15:01:34Z", "status": 7, "errorCode": 0}}
   
status query - comma separated list of Asset Object Sync Statuses (codes)    
Response Body
media type data type description
application/json object (JSON)

POST /admin/assetsync/objects

Return asset sync data

Try it out!

Request Parameters
name type description default constraints
limit query - limit   long
offset query - offset   long
status query - comma separated list of Asset Object Sync Statuses (codes)    
Request Body
media type data type description
application/json array of string (JSON) - collection of Guids

Example of response:

{"total": 185653, "list": [ { "guid": "5f1649c5-0c3e-44ba-b34b-33ed975c9f2e", "hdcSyncTimestamp": "2023-03-31T15:01:34Z", "status": 7, "errorCode": 0}, { "guid": "cf897417-274c-4190-aff7-f0cb718eacc0", "hdcSyncTimestamp": "2023-03-31T15:01:34Z", "status": 7, "errorCode": 0}}
Response Body
media type data type description
application/json object (JSON)

GET /admin/assetsync/report

Return asset sync data in form of Excel report

Try it out!

Request Parameters
name type description default constraints
hqlCriteria query    
sortField query - sort field    
status query - array of sync status codes    
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON) - information indicating process started or not successfully

GET /admin/assetsync/statistics

Try it out!

Response Body
media type data type description
application/json object (JSON)

POST /admin/assetsync/objects/donotsync

Do Not Sync objects by guids

Try it out!

Request Parameters
name type description default constraints
hqlCriteria query - hql filter query criteria    
status query - array of sync status codes    
withSubtree query - flag indicating if subtree as well should be synced   boolean
Request Body
media type data type description
application/json string (JSON) - list of guids of objects not to be synced in form of Json list
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the export started or not successfully

POST /admin/assetsync/objects/sync

Sync objects by guids

Try it out!

Request Parameters
name type description default constraints
syncMode query   int
Request Body
media type data type description
application/json array of string (JSON) - list of guids of objects to be synced
Response Body
media type data type description
application/json HdcProcessStateTO (JSON) JSON Response with information, whether the export started or not successfully

POST /admin/assetsync/objects/syncbystatus

Sync objects by statuses

Try it out!

Request Parameters
name type description default constraints
hqlCriteria query    
status query - array of sync status codes    
syncMode query   int
Response Body
media type data type description
application/json HdcTdxmImportStateTO (JSON) JSON Response with information, whether the export started or not successfully

GET /admin/assetsync/properties/{guid}

Get object external properties

Try it out!

Request Parameters
name type description default constraints
guid path - object Guid    
Response Body
media type data type description
application/json HdcObjectWithMetadataListTO (JSON) JSON with list of object external properties mapped to HDC domain.

Example of response:

{ "metadataList": [ { "fieldId": "floor_descr", "fieldValue": "Takplaner" }, { "fieldId": "floor_guid", "fieldValue": "80ae" }, { "fieldId": "floor_bta", "fieldValue": "" } ], "contentType": 0, "contentId": 0, "classId": 134, "objectId": 1817908, "systemGuid": "80aed578-cb82-414e-8e41-59700fd6a010" }

POST /admin/assetsync/objects/donotsync/subtree

Do Not Sync objects with subtree

Try it out!

Request Body
media type data type description
application/json array of HdcBasicTO (JSON) - list of objects not to be synced
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the export started or not successfully

POST /admin/assetsync/objects/sync/subtree

Sync objects with subtree

Try it out!

Request Parameters
name type description default constraints
syncMode query   int
Request Body
media type data type description
application/json array of HdcBasicTO (JSON) - list of objects to be synced
Response Body
media type data type description
application/json HdcTdxmImportStateTO (JSON) JSON Response with information, whether the export started or not successfully